RestResponderGrailsPlugin (Grails 6.0.0)

Package: org.grails.plugins.web.rest.plugin

## [Groovy] Class RestResponderGrailsPlugin

- org.grails.plugins.web.rest.plugin.RestResponderGrailsPlugin

-     class RestResponderGrailsPlugin
      extends Plugin

  Since:
    2.3
  Authors:
    Graeme Rocher

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private static org.apache.commons.logging.Log` | `LOG` |
    `private GrailsApplication` | `grailsApplication` |
    `private java.lang.Object` | `loadBefore` |
    `private java.lang.Object` | `observe` |
    `private java.lang.Object` | `version` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class Plugin` | `applicationContext, artefacts, enabled, environment, grailsApplication, plugin, pluginManager`

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `GrailsApplication` | `grailsApplication`
    `java.lang.Object` | `loadBefore`
    `java.lang.Object` | `observe`
    `java.lang.Object` | `version`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `RestResponderGrailsPlugin ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `groovy.lang.Closure` | `doWithSpring()`
    `` | `void` | `onChange(java.util.Map<java.lang.String, java.lang.Object> event)`
    `` | `static void` | `registryResourceControllers(GrailsApplication app)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Plugin` | `beans, doWithApplicationContext, doWithDynamicMethods, doWithSpring, getApplicationContext, getConfig, getManager, onChange, onConfigChange, onShutdown, onStartup, setApplicationContext`

- - ### Field Detail

    - #### private static final org.apache.commons.logging.Log LOG

    - #### private GrailsApplication grailsApplication

    - #### private java.lang.Object loadBefore

    - #### private java.lang.Object observe

    - #### private java.lang.Object version

  - ### Property Detail

    - #### GrailsApplication grailsApplication

    - #### java.lang.Object loadBefore

    - #### java.lang.Object observe

    - #### java.lang.Object version

  - ### Constructor Detail

    - #### RestResponderGrailsPlugin()

  - ### Method Detail

    - #### @java.lang.Override groovy.lang.Closure doWithSpring()

    - #### @java.lang.Override void onChange(java.util.Map<java.lang.String, java.lang.Object> event)

    - #### @groovy.transform.CompileStatic static void registryResourceControllers(GrailsApplication app)